import { AfterContentInit, EventEmitter, OnInit, QueryList } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { FormFieldAbstract } from '../form/form-field.abstract';
import { RadioComponent } from '../radio/radio.component';
import { RadioGroupModel } from './radio-group.model';
export declare class RadioGroupComponent extends FormFieldAbstract implements OnInit, AfterContentInit, ControlValueAccessor {
    static readonly defaultProps: RadioGroupModel;
    radiosQueryList: QueryList<RadioComponent>;
    onChangeEmitter: EventEmitter<string>;
    canUncheckInput: boolean;
    classNameInput: string;
    disabledInput: boolean;
    idInput: string;
    nameInput: string;
    requiredInput: boolean;
    valueInput: string;
    canUncheck: boolean;
    className: string;
    disabled: boolean;
    id: string;
    isFocused: boolean;
    isTouched: boolean;
    name: string;
    radios: Array<RadioComponent>;
    required: boolean;
    value: string;
    constructor();
    ngOnInit(): void;
    ngAfterContentInit(): void;
    initValues(): void;
    registerRadios(): void;
    toggleRadios(index: number): void;
    setValueAllRadios(index: number): void;
    setDisabledState(isDisabled: boolean): void;
    disableAllRadios(): void;
    writeValue(value: string): void;
    registerOnChange(fn: (value: string) => void): void;
    registerOnTouched(fn: () => void): void;
    onChange(value: string): void;
    onTouched(): void;
}
